<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="CMS" content="Web-page for students." />
    <link href="style.css" rel="stylesheet" />
    <script
      src="https://kit.fontawesome.com/dde2cfb556.js"
      crossorigin="anonymous"
    ></script>
    <script src="index_back.js"></script>
    <title>CMS</title>
  </head>
  <body>
    <header class="main-header">
      <h2 class="CMS">CMS</h2>
      <h3 class="username">Mykola Rad</h3>
      <div class="dropdown">
        <i class="fa fa-circle-user"></i>
        <div class="dropdown-content">
          <a href="#">Profile</a>
          <a href="#">Log out</a>
        </div>
      </div>

      <div class="dropdown">
        <i class="fa fa-bell"></i>
        <div id="bell-dropdown" class="dropdown-content">
          <div class="message">
            <i class="fa-solid fa-circle-user"></i>
            <label class="usernames">Admin</label>
            <div class="tooltiptext">This is a message</div>
          </div>
          <div class="message">
            <i class="fa-solid fa-circle-user"></i>
            <label class="usernames">John K.</label>
            <span class="tooltiptext">This is a message</span>
          </div>
          <div class="message">
            <i class="fa-solid fa-circle-user"></i>
            <label class="usernames">Ann S.</label>
            <span class="tooltiptext">This is a long message</span>
          </div>
        </div>
      </div>
    </header>

    <aside class="sidebar">
      <nav>
        <ul class="nav-links">
          <li><a href="#">Dashboard</a></li>
          <li><a href="#">Students</a></li>
          <li><a href="#">Tasks</a></li>
        </ul>
      </nav>
    </aside>

    <article class="main-content">
      <h1>Students</h1>

      <button class="add-button" type="button" onclick="openForm()">+</button>

      <div id="form-window" class="form-window">
        <div class="students-content">
          <button class="close" type="button" onclick="closeForm()">
            &#215;
          </button>
          <header class="form-header">
            <h2 id="form-name">Add student</h2>
          </header>

          <form class="add-form">
            <div class="input-container">
              <label for="groupName">Group</label>
              <select id="groupName" name="groupName">
                <option value="PZ-21">PZ-21</option>
                <option value="PZ-22">PZ-22</option>
                <option value="PZ-23">PZ-23</option>
                <option value="PZ-24">PZ-24</option>
                <option value="PZ-25">PZ-25</option>
                <option value="PZ-26">PZ-26</option>
                <option value="PZ-27">PZ-27</option></select
              ><br /><br />

              <label for="firstName">First name</label>
              <input type="text" id="firstName" name="firstName" /><br /><br />

              <label for="lastName">Last name</label>
              <input type="text" id="lastName" name="lastName" /><br /><br />

              <label for="gender">Gender</label>
              <select id="gender" name="gender">
                <option value="male">Male</option>
                <option value="female">Female</option></select
              ><br /><br />

              <label for="birthday">Birthday</label>
              <input type="date" id="birthday" name="birthday" /><br /><br />
            </div>
            <div class="button-container">
              <input type="button" value="OK" />
              <input type="submit" value="Create" />
            </div>
          </form>
        </div>
      </div>

      <div id="warning" class="warning">
        <div class="warning-content">
          <button class="close" type="button" onclick="closeWarning()">
            &#215;
          </button>
          <header class="warning-header">
            <h2 id="form-line">Warning</h2>
          </header>

          <div>
            <section class="warning-container">
              <label id="warning-text"
                >Are you sure you want to delete user</label
              >
            </section>
          </div>

          <div class="button-container">
            <button type="button" id="confirm" onclick="deleteStudent()">
              Ok
            </button>
            <button type="button" id="cancel" onclick="closeWarning()">
              Cancel
            </button>
          </div>
        </div>
      </div>

      <table class="students-data">
        <tr>
          <th><input type="checkbox" /></th>
          <th>Group</th>
          <th>Name</th>
          <th>Gender</th>
          <th>Birthday</th>
          <th>Status</th>
          <th>Options</th>
        </tr>
      </table>

      <div class="center">
        <div class="pagination">
          <a href="#">&laquo;</a>
          <a href="#">1</a>
          <a href="#">2</a>
          <a href="#">3</a>
          <a href="#">4</a>
          <a href="#">5</a>
          <a href="#">6</a>
          <a href="#">&raquo;</a>
        </div>
      </div>
    </article>
  </body>
</html>
